package org.jeecg.common.exception;

/**
 * 常量
 *
 * @author yao.sun
 * @data 2018-01-14
 */

public enum ExceptionCode {

    RQ_SUCCESS(20100, "请求成功！"),
    RQ_UNAUTHORIZED(20101, "未授权登录！"),
    RQ_TOKEN_INVALID(20102, "登录失效,请重新登录！"),
    RQ_FORBIDDEN(20103, "未授权资源，禁止访问！"),

    ACTIVITI_DESIGN_ERROR(20200, "设计模型图不正确，检查模型正确性！"),
    ACTIVITI_DEPLOY_ERROR(20201, "流程部署异常！"),
    ACTIVITI_HANG_UP(20202, "流程已挂起！"),
    ACTIVITI_ACTIVATED(20203, "流程已激活！"),
    ACTIVITI_PROCESS_KEY_EMPRTY(20204, "审批参数缺少processKey属性！"),

    FILE_TYPE_ERROR(20300, "不支持的文件类型！"),

    BUSINESS_USER_NOT_EXIST(30100, "用户不存在！"),

    SYSTEM_ERROR(50100, "系统内部错误");


    private int code;
    private String msg;

    ExceptionCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
